--$ sql_vault_version
SELECT V.VERSIONID FROM ALU_VAULT V

--$ sql_total_row_count_dest
SELECT SUM(ROWS_COUNT) FROM
(
    SELECT COUNT(*) AS ROWS_COUNT FROM ALU_ITEM
    UNION ALL
    SELECT COUNT(*) FROM ALU_DATAFILE
    UNION ALL
    SELECT COUNT(*) FROM ALU_DATAFOLDER
    UNION ALL
    SELECT COUNT(*) FROM ALU_FOLDER WHERE NOT ((ALU_FOLDER.HRID = 'Default Folder') AND (ALU_FOLDER.CREATEDBYGUID = (SELECT GUID FROM IDS_USER WHERE USERNAME = 'admin')))
    UNION ALL
    SELECT COUNT(*) FROM ALU_ITEM
    UNION ALL
    SELECT COUNT(*) FROM ALU_ITEMREVISION
    UNION ALL
    SELECT COUNT(*) FROM ALU_ITEMLINK
    UNION ALL
    SELECT COUNT(*) FROM ALU_ITEMLINKPARAMETER
    UNION ALL
    SELECT COUNT(*) FROM ALU_ITEMREVISION
    UNION ALL
    SELECT COUNT(*) FROM ALU_ITEMREVISIONLINK
    UNION ALL
    SELECT COUNT(*) FROM ALU_ITEMREVISIONLINKPARAMETER
    UNION ALL
    SELECT COUNT(*) FROM ALU_ITEMREVISIONPARAMETER
)

--$ sql_total_row_count_source
SELECT SUM(ROWS_COUNT) FROM
(
    SELECT COUNT(*) AS ROWS_COUNT FROM ALU_ITEM
    UNION ALL
    SELECT COUNT(*) FROM ALU_DATAFILE
    UNION ALL
    SELECT COUNT(*) FROM ALU_DATAFOLDER
    UNION ALL
    SELECT COUNT(*) FROM ALU_FOLDER
    UNION ALL
    SELECT COUNT(*) FROM ALU_ITEM
    UNION ALL
    SELECT COUNT(*) FROM ALU_ITEMREVISION
    UNION ALL
    SELECT COUNT(*) FROM ALU_ITEMLINK
    UNION ALL
    SELECT COUNT(*) FROM ALU_ITEMLINKPARAMETER
    UNION ALL
    SELECT COUNT(*) FROM ALU_ITEMREVISION
    UNION ALL
    SELECT COUNT(*) FROM ALU_ITEMREVISIONLINK
    UNION ALL
    SELECT COUNT(*) FROM ALU_ITEMREVISIONLINKPARAMETER
    UNION ALL
    SELECT COUNT(*) FROM ALU_ITEMREVISIONPARAMETER
)

--$ sql_vault_info
SELECT GUID, HRID, DESCRIPTION FROM ALU_VAULT

--$ sql_update_vault_guid
UPDATE ALU_VAULT SET GUID = :GUID, HRID = :HRID, DESCRIPTION = :DESCRIPTION

--$ sql_source_folders
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, SHARINGCONTROL, DESCRIPTION, SHAREDNAME, FOLDERTYPEGUID, PARENTFOLDERGUID FROM ALU_FOLDER

--$ sql_dest_folders
UPDATE OR INSERT INTO ALU_FOLDER (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT,
                                  SHARINGCONTROL, DESCRIPTION, SHAREDNAME, FOLDERTYPEGUID, PARENTFOLDERGUID)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :SHARINGCONTROL, :DESCRIPTION,
        :SHAREDNAME, :FOLDERTYPEGUID, :PARENTFOLDERGUID)

--$ sql_source_contenttype
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, DESCRIPTION FROM ALU_CONTENTTYPE

--$ sql_dest_contenttype
UPDATE OR INSERT INTO ALU_CONTENTTYPE (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, DESCRIPTION)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :DESCRIPTION)

--$ sql_source_datafile
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, OWNERGUID, "HASH", LOCATION, DATAFOLDERGUID FROM ALU_DATAFILE

--$ sql_dest_datafile
UPDATE OR INSERT INTO ALU_DATAFILE (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, OWNERGUID, "HASH", LOCATION, DATAFOLDERGUID)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :OWNERGUID, :"HASH", :LOCATION, :DATAFOLDERGUID)

--$ sql_source_datafolder
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, OWNERGUID, PARENTDATAFOLDERGUID, LOCATION FROM ALU_DATAFOLDER

--$ sql_dest_datafolder
UPDATE OR INSERT INTO ALU_DATAFOLDER (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, OWNERGUID, PARENTDATAFOLDERGUID, LOCATION)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :OWNERGUID, :PARENTDATAFOLDERGUID, :LOCATION)

--$ sql_source_folderparameter
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, FOLDERGUID, DEFAULTVALUE FROM ALU_FOLDERPARAMETER

--$ sql_dest_folderparameter
UPDATE OR INSERT INTO ALU_FOLDERPARAMETER (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, FOLDERGUID, DEFAULTVALUE)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :FOLDERGUID, :DEFAULTVALUE)

--$ sql_source_foldertype
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, DESCRIPTION FROM ALU_FOLDERTYPE
--$ sql_dest_foldertype
UPDATE OR INSERT INTO ALU_FOLDERTYPE (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, DESCRIPTION)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :DESCRIPTION)

--$ sql_source_item
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, SHARINGCONTROL, DESCRIPTION, FOLDERGUID, LIFECYCLEDEFINITIONGUID, REVISIONNAMINGSCHEMEGUID, CONTENTTYPEGUID FROM ALU_ITEM
--$ sql_dest_item
UPDATE OR INSERT INTO ALU_ITEM (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, SHARINGCONTROL, DESCRIPTION, FOLDERGUID, LIFECYCLEDEFINITIONGUID, REVISIONNAMINGSCHEMEGUID, CONTENTTYPEGUID)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :SHARINGCONTROL, :DESCRIPTION, :FOLDERGUID, :LIFECYCLEDEFINITIONGUID, :REVISIONNAMINGSCHEMEGUID, :CONTENTTYPEGUID)

--$ sql_source_itemlink
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, CHILDITEMGUID, CHILDVAULTGUID, PARENTITEMGUID, PARENTVAULTGUID FROM ALU_ITEMLINK
--$ sql_dest_itemlink
UPDATE OR INSERT INTO ALU_ITEMLINK (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, CHILDITEMGUID, CHILDVAULTGUID, PARENTITEMGUID, PARENTVAULTGUID)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :CHILDITEMGUID, :CHILDVAULTGUID, :PARENTITEMGUID, :PARENTVAULTGUID)

--$ sql_source_itemlinkparameter
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, PARAMETERVALUE, ITEMLINKGUID FROM ALU_ITEMLINKPARAMETER
--$ sql_dest_itemlinkparameter
UPDATE OR INSERT INTO ALU_ITEMLINKPARAMETER (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, PARAMETERVALUE, ITEMLINKGUID)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :PARAMETERVALUE, :ITEMLINKGUID)

--$ sql_source_itemrevision
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, SHARINGCONTROL, REVISIONID, ANCESTORITEMREVISIONGUID, DESCRIPTION, COMMENT, LIFECYCLESTATEGUID, ITEMGUID, RELEASEDATE, REVISIONIDLEVELS, REVISIONIDSEPARATORS FROM ALU_ITEMREVISION
--$ sql_dest_itemrevision
UPDATE OR INSERT INTO ALU_ITEMREVISION (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, SHARINGCONTROL, REVISIONID, ANCESTORITEMREVISIONGUID, DESCRIPTION, COMMENT, LIFECYCLESTATEGUID, ITEMGUID, RELEASEDATE, REVISIONIDLEVELS, REVISIONIDSEPARATORS)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :SHARINGCONTROL, :REVISIONID, :ANCESTORITEMREVISIONGUID, :DESCRIPTION, :COMMENT, :LIFECYCLESTATEGUID, :ITEMGUID, :RELEASEDATE, :REVISIONIDLEVELS, :REVISIONIDSEPARATORS)

--$ sql_source_itemrevisionlink
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, CHILDITEMREVISIONGUID, CHILDVAULTGUID, PARENTITEMREVISIONGUID, PARENTVAULTGUID FROM ALU_ITEMREVISIONLINK
--$ sql_dest_itemrevisionlink
UPDATE OR INSERT INTO ALU_ITEMREVISIONLINK (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, CHILDITEMREVISIONGUID, CHILDVAULTGUID, PARENTITEMREVISIONGUID, PARENTVAULTGUID)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :CHILDITEMREVISIONGUID, :CHILDVAULTGUID, :PARENTITEMREVISIONGUID, :PARENTVAULTGUID)

--$ sql_source_itemrevisionlinkparameter
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, PARAMETERVALUE, ITEMREVISIONLINKGUID FROM ALU_ITEMREVISIONLINKPARAMETER
--$ sql_dest_itemrevisionlinkparameter
UPDATE OR INSERT INTO ALU_ITEMREVISIONLINKPARAMETER (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, PARAMETERVALUE, ITEMREVISIONLINKGUID)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :PARAMETERVALUE, :ITEMREVISIONLINKGUID)

--$ sql_source_itemrevisionparameter
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, PARAMETERVALUE, ITEMREVISIONGUID FROM ALU_ITEMREVISIONPARAMETER
--$ sql_dest_itemrevisionparameter
UPDATE OR INSERT INTO ALU_ITEMREVISIONPARAMETER (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, PARAMETERVALUE, ITEMREVISIONGUID)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :PARAMETERVALUE, :ITEMREVISIONGUID)

--$ sql_source_lifecycledefinition
SELECT GUID, HRID||' (Satellite Vault)' AS HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, LIFECYCLEMANAGEMENT, LINKTOREVISIONSCHEME FROM ALU_LIFECYCLEDEFINITION
--$ sql_dest_lifecycledefinition
UPDATE OR INSERT INTO ALU_LIFECYCLEDEFINITION (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, LIFECYCLEMANAGEMENT, LINKTOREVISIONSCHEME)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :LIFECYCLEMANAGEMENT, :LINKTOREVISIONSCHEME)

--$ sql_source_lifecyclestage
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, STAGEINDEX, LIFECYCLEDEFINITIONGUID FROM ALU_LIFECYCLESTAGE
--$ sql_dest_lifecyclestage
UPDATE OR INSERT INTO ALU_LIFECYCLESTAGE (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, STAGEINDEX, LIFECYCLEDEFINITIONGUID)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :STAGEINDEX, :LIFECYCLEDEFINITIONGUID)

--$ sql_source_lifecyclestate
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, DESCRIPTION, STATEINDEX, LIFECYCLESTAGEGUID, LIFECYCLEDEFINITIONGUID, ISINITIALSTATE, COLOR, TEXTCOLOR FROM ALU_LIFECYCLESTATE
--$ sql_dest_lifecyclestate
UPDATE OR INSERT INTO ALU_LIFECYCLESTATE (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, DESCRIPTION, STATEINDEX, LIFECYCLESTAGEGUID, LIFECYCLEDEFINITIONGUID, ISINITIALSTATE, COLOR, TEXTCOLOR)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :DESCRIPTION, :STATEINDEX, :LIFECYCLESTAGEGUID, :LIFECYCLEDEFINITIONGUID, :ISINITIALSTATE, :COLOR, :TEXTCOLOR)

--$ sql_source_lifecyclestatechange
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, ITEMREVISIONGUID, LIFECYCLESTATETRANSITIONGUID, LIFECYCLESTATEAFTERGUID FROM ALU_LIFECYCLESTATECHANGE
--$ sql_dest_lifecyclestatechange
UPDATE OR INSERT INTO ALU_LIFECYCLESTATECHANGE (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, ITEMREVISIONGUID, LIFECYCLESTATETRANSITIONGUID, LIFECYCLESTATEAFTERGUID)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :ITEMREVISIONGUID, :LIFECYCLESTATETRANSITIONGUID, :LIFECYCLESTATEAFTERGUID)

--$ sql_source_lifecyclestatetransition
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, MENUTEXTFORMAT, LIFECYCLESTATEBEFOREGUID, LIFECYCLESTATEAFTERGUID, LIFECYCLEDEFINITIONGUID, TRANSITIONINDEX FROM ALU_LIFECYCLESTATETRANSITION
--$ sql_dest_lifecyclestatetransition
UPDATE OR INSERT INTO ALU_LIFECYCLESTATETRANSITION (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, MENUTEXTFORMAT, LIFECYCLESTATEBEFOREGUID, LIFECYCLESTATEAFTERGUID, LIFECYCLEDEFINITIONGUID, TRANSITIONINDEX)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :MENUTEXTFORMAT, :LIFECYCLESTATEBEFOREGUID, :LIFECYCLESTATEAFTERGUID, :LIFECYCLEDEFINITIONGUID, :TRANSITIONINDEX)

--$ sql_source_revisionnamelevel
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, LEVELINDEX, LEVELSEQUENCE, LEVELSEPARATOR, MINIMUMWIDTH, REVISIONNAMINGSCHEMEGUID FROM ALU_REVISIONNAMELEVEL
--$ sql_dest_revisionnamelevel
UPDATE OR INSERT INTO ALU_REVISIONNAMELEVEL (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, LEVELINDEX, LEVELSEQUENCE, LEVELSEPARATOR, MINIMUMWIDTH, REVISIONNAMINGSCHEMEGUID)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :LEVELINDEX, :LEVELSEQUENCE, :LEVELSEPARATOR, :MINIMUMWIDTH, :REVISIONNAMINGSCHEMEGUID)

--$ sql_source_resiionnamingscheme
SELECT GUID, HRID||' (Satellite Vault)' AS HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, ITEMREVISIONSEPARATOR FROM ALU_REVISIONNAMINGSCHEME
--$ sql_dest_resiionnamingscheme
UPDATE OR INSERT INTO ALU_REVISIONNAMINGSCHEME (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, ITEMREVISIONSEPARATOR)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :ITEMREVISIONSEPARATOR)

--$ sql_source_acquisitionpointer
SELECT GUID, HRID, SOURCEVAULT, SOURCEGUID, OBJECTTYPE, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT FROM ALU_ACQUISITIONPOINTER;

--$ sql_dest_acquisitionpointer
UPDATE OR INSERT INTO ALU_ACQUISITIONPOINTER (GUID, HRID, SOURCEVAULT, SOURCEGUID, OBJECTTYPE, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT)
VALUES (:GUID, :HRID, :SOURCEVAULT, :SOURCEGUID, :OBJECTTYPE, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT)
MATCHING (GUID);

--$ sql_source_acldata_full
SELECT OBJECTGUID, OBJECTTYPE, TRUSTEETYPE, TRUSTEEGUID, ACCESSRIGHTS, LASTMODIFIEDAT FROM ACLDATA

--$ sql_dest_acldata_full
UPDATE OR INSERT INTO ACLDATA (OBJECTGUID, OBJECTTYPE, TRUSTEETYPE, TRUSTEEGUID, ACCESSRIGHTS, LASTMODIFIEDAT)
VALUES (:OBJECTGUID, :OBJECTTYPE, :TRUSTEETYPE, :TRUSTEEGUID, :ACCESSRIGHTS, :LASTMODIFIEDAT)
MATCHING (OBJECTGUID, TRUSTEEGUID)

--$ sql_user_insert
UPDATE OR INSERT INTO IDS_USER (GUID, HRID, "ACTIVE", NAME, SALUTATION, FIRSTNAME, LASTNAME, USERNAME, "PASSWORD",EMAIL, PHONE, FAX, WEBSITE, MAILINGCOUNTRY, ACTIVATIONSTATUS, BADGES, EXAMPLEWORK, EXPERIENCE, SPECIALTIES, CURRENTPOSITION, PICTURE, TIMEZONE, LANGUAGELOCALE, LOCALE, ORGANISATIONGUID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT)
VALUES (:GUID, :HRID, :"ACTIVE", :NAME, :SALUTATION, :FIRSTNAME, :LASTNAME, :USERNAME, :"PASSWORD", :EMAIL, :PHONE, :FAX, :WEBSITE, :MAILINGCOUNTRY, :ACTIVATIONSTATUS, :BADGES, :EXAMPLEWORK, :EXPERIENCE, :SPECIALTIES, :CURRENTPOSITION, :PICTURE, :TIMEZONE, :LANGUAGELOCALE, :LOCALE, :ORGANISATIONGUID, '', '', CURRENT_TIMESTAMP, CURRENT_TIMESTAMP)

--$ sql_membership_insert
UPDATE OR INSERT INTO IDS_GROUPMEMBERSHIP (GUID, HRID, "ACTIVE", GROUPGUID, USERGUID, ORGANISATIONGUID, NAME)
VALUES (:GUID, :HRID, :"ACTIVE", :GROUPGUID, :USERGUID, :ORGANISATIONGUID, :NAME)
MATCHING (GROUPGUID, USERGUID)

--$ sql_acl_copy_users
SELECT
    E.ObjectID AS OBJECTGUID,
    IIF(E.UserScopeMode = 0, 1, IIF(E.UserScopeMode = 1, 0, 2)) AS TRUSTEETYPE,
    IIF(E.UserScope='', '044927FF-D489-11E1-A429-385E32E0CE67', E.UserScope) AS TRUSTEEGUID,
    E.AllowPermissions AS ACCESSRIGHTS,
    E.CREATEDAT AS LASTMODIFIEDAT
FROM ALU_ACLEntry E
WHERE
    E.UserScopeMode = 0

--$ sql_acl_copy_organizations
SELECT
    E.ObjectID AS OBJECTGUID,
    IIF(E.UserScopeMode = 0, 1, IIF(E.UserScopeMode = 1, 0, 2)) AS TRUSTEETYPE,
    IIF(E.UserScope='', '044927FF-D489-11E1-A429-385E32E0CE67', E.UserScope) AS TRUSTEEGUID,
    E.AllowPermissions AS ACCESSRIGHTS,
    E.CREATEDAT AS LASTMODIFIEDAT
FROM ALU_ACLEntry E
WHERE
    E.UserScopeMode = 2

--$ sql_acl_copy_public
SELECT
    E.ObjectID AS OBJECTGUID,
    IIF(E.UserScopeMode = 0, 1, IIF(E.UserScopeMode = 1, 0, 2)) AS TRUSTEETYPE,
    IIF(E.UserScope='', '044927FF-D489-11E1-A429-385E32E0CE67', E.UserScope) AS TRUSTEEGUID,
    E.AllowPermissions AS ACCESSRIGHTS,
    E.CREATEDAT AS LASTMODIFIEDAT
FROM ALU_ACLEntry E
WHERE
    E.UserScopeMode = 1


--$ sql_acl_insert
UPDATE OR INSERT INTO ACLDATA (OBJECTGUID, OBJECTTYPE, TRUSTEETYPE, TRUSTEEGUID, ACCESSRIGHTS, LASTMODIFIEDAT)
VALUES (:OBJECTGUID, 'Vault', :TRUSTEETYPE, :TRUSTEEGUID, :ACCESSRIGHTS, :LASTMODIFIEDAT)
MATCHING (OBJECTGUID, TRUSTEEGUID)

--$ sql_group_insert
UPDATE OR INSERT INTO IDS_GROUP (GUID, HRID, "ACTIVE", NAME, ORGANISATIONGUID)
VALUES (:GUID, :HRID, :"ACTIVE", :NAME, :ORGANISATIONGUID)
MATCHING (GUID)

--$ sql_source_resiionnamingscheme_rights
SELECT GUID AS OBJECTGUID, 0 AS TRUSTEETYPE, '044927FF-D489-11E1-A429-385E32E0CE67' AS TRUSTEEGUID, 1 AS ACCESSRIGHTS, CURRENT_TIMESTAMP AS LASTMODIFIEDAT FROM ALU_REVISIONNAMINGSCHEME

--$ sql_source_lifecycle_rights
SELECT GUID AS OBJECTGUID, 0 AS TRUSTEETYPE, '044927FF-D489-11E1-A429-385E32E0CE67' AS TRUSTEEGUID, 1 AS ACCESSRIGHTS, CURRENT_TIMESTAMP AS LASTMODIFIEDAT FROM ALU_LIFECYCLEDEFINITION

--$ sql_mitemcategory_insert
UPDATE OR INSERT INTO CAT_MITEMCATEGORY (GUID, HRID, CREATEDAT, CREATEDBYGUID, LASTMODIFIEDAT, LASTMODIFIEDBYGUID, NAME, DESCRIPTION, URL, ORGANIZATIONGUID, PARENTMITEMCATEGORYGUID)
VALUES (:GUID, :HRID, :CREATEDAT, :CREATEDBYGUID, :LASTMODIFIEDAT, :LASTMODIFIEDBYGUID, :NAME, :DESCRIPTION, :URL, :ORGANIZATIONGUID, :PARENTMITEMCATEGORYGUID)
MATCHING (GUID)

--$ sql_mitemorganization_insert
UPDATE OR INSERT INTO CAT_MORGANIZATION (GUID, HRID, CREATEDAT, CREATEDBYGUID, LASTMODIFIEDAT, LASTMODIFIEDBYGUID, NAME, DESCRIPTION, URL, ORGANIZATIONGUID, LOGOURL)
VALUES (:GUID, :HRID, :CREATEDAT, :CREATEDBYGUID, :LASTMODIFIEDAT, :LASTMODIFIEDBYGUID, :NAME, :DESCRIPTION, :URL, :ORGANIZATIONGUID, :LOGOURL)
MATCHING (GUID)

--$ sql_mitemorganizationsynonym_insert
UPDATE OR INSERT INTO CAT_MORGANIZATIONSYNONYM (GUID, HRID, CREATEDAT, CREATEDBYGUID, LASTMODIFIEDAT, LASTMODIFIEDBYGUID, NAME, MORGANIZATIONGUID)
VALUES (:GUID, :HRID, :CREATEDAT, :CREATEDBYGUID, :LASTMODIFIEDAT, :LASTMODIFIEDBYGUID, :NAME, :MORGANIZATIONGUID)
MATCHING (GUID)

--$ sql_sitemcategory_insert
UPDATE OR INSERT INTO CAT_SITEMCATEGORY (GUID, HRID, CREATEDAT, CREATEDBYGUID, LASTMODIFIEDAT, LASTMODIFIEDBYGUID, NAME, DESCRIPTION, URL, SORGANIZATIONGUID, PARENTSITEMCATEGORYGUID)
VALUES (:GUID, :HRID, :CREATEDAT, :CREATEDBYGUID, :LASTMODIFIEDAT, :LASTMODIFIEDBYGUID, :NAME, :DESCRIPTION, :URL, :SORGANIZATIONGUID, :PARENTSITEMCATEGORYGUID)
MATCHING (GUID)

--$ sql_sitemorganization_insert
UPDATE OR INSERT INTO CAT_SORGANIZATION (GUID, HRID, CREATEDAT, CREATEDBYGUID, LASTMODIFIEDAT, LASTMODIFIEDBYGUID, NAME, DESCRIPTION, URL, ORGANIZATIONGUID, LOGOURL, ACTIVE)
VALUES (:GUID, :HRID, :CREATEDAT, :CREATEDBYGUID, :LASTMODIFIEDAT, :LASTMODIFIEDBYGUID, :NAME, :DESCRIPTION, :URL, :ORGANIZATIONGUID, :LOGOURL, :ACTIVE)
MATCHING (GUID)

--$ sql_mitem_insert
UPDATE OR INSERT INTO CAT_MITEM (GUID, HRID, CREATEDAT, CREATEDBYGUID, LASTMODIFIEDAT, LASTMODIFIEDBYGUID, NAME, SKU, DESCRIPTION, URL, MITEMCATEGORYGUID)
VALUES (:GUID, :HRID, :CREATEDAT, :CREATEDBYGUID, :LASTMODIFIEDAT, :LASTMODIFIEDBYGUID, :NAME, :SKU, :DESCRIPTION, :URL, :MITEMCATEGORYGUID)
MATCHING (GUID)

--$ sql_sitem_insert
UPDATE OR INSERT INTO CAT_SITEM (GUID, HRID, CREATEDAT, CREATEDBYGUID, LASTMODIFIEDAT, LASTMODIFIEDBYGUID, PRICINGLASTCHECKEDAT, MITEMGUID, SKU, DESCRIPTION, URL, IMAGEURL, SITEMCATEGORYGUID)
VALUES (:GUID, :HRID, :CREATEDAT, :CREATEDBYGUID, :LASTMODIFIEDAT, :LASTMODIFIEDBYGUID, :PRICINGLASTCHECKEDAT, :MITEMGUID, :SKU, :DESCRIPTION, :URL, :IMAGEURL, :SITEMCATEGORYGUID)
MATCHING (GUID)

--$ sql_sitemhistory_insert
UPDATE OR INSERT INTO CAT_SITEMHISTORY (GUID, HRID, CREATEDAT, CREATEDBYGUID, LASTMODIFIEDAT, LASTMODIFIEDBYGUID, SITEMGUID, AVAILABLEQUANTITY, CURRENCY)
VALUES (:GUID, :HRID, :CREATEDAT, :CREATEDBYGUID, :LASTMODIFIEDAT, :LASTMODIFIEDBYGUID, :SITEMGUID, :AVAILABLEQUANTITY, :CURRENCY)
MATCHING (GUID)

--$ sql_sitempricing_insert
UPDATE OR INSERT INTO CAT_SITEMPRICING (GUID, HRID, CREATEDAT, CREATEDBYGUID, LASTMODIFIEDAT, LASTMODIFIEDBYGUID, SITEMHISTORYGUID, BREAKQUANTITY, PRICE)
VALUES (:GUID, :HRID, :CREATEDAT, :CREATEDBYGUID, :LASTMODIFIEDAT, :LASTMODIFIEDBYGUID, :SITEMHISTORYGUID, :BREAKQUANTITY, :PRICE)
MATCHING (GUID)

--$ sql_mitem_exists
SELECT RDB$RELATION_NAME FROM RDB$RELATIONS
WHERE RDB$RELATION_NAME = 'CAT_MITEM'

--$ sql_mitems_select
SELECT a.HRID FROM ALU_ITEMREVISION a
LEFT JOIN ALU_ITEM  b ON a.ITEMGUID = b.GUID
WHERE b.CONTENTTYPEGUID = '4CA36109-6D59-4C66-8F48-F874769D26CE';

--$ sql_total_PCLRow_count
SELECT SUM(ROWS_COUNT) FROM
(
    SELECT COUNT(*) AS ROWS_COUNT FROM CAT_MITEM
    UNION ALL
    SELECT COUNT(*) FROM CAT_MITEMCATEGORY
    UNION ALL
    SELECT COUNT(*) FROM CAT_MITEMUPDATEHISTORY
    UNION ALL
    SELECT COUNT(*) FROM CAT_MORGANIZATION
    UNION ALL
    SELECT COUNT(*) FROM CAT_MORGANIZATIONSYNONYM
    UNION ALL
    SELECT COUNT(*) FROM CAT_SITEM
    UNION ALL
    SELECT COUNT(*) FROM CAT_SITEMCATEGORY
    UNION ALL
    SELECT COUNT(*) FROM CAT_SITEMHISTORY
    UNION ALL
    SELECT COUNT(*) FROM CAT_SITEMPRICING
    UNION ALL
    SELECT COUNT(*) FROM CAT_SORGANIZATION
)



--$ sql_source_personal_user
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, "ACTIVE", NAME, SALUTATION, FIRSTNAME,
       LASTNAME, USERNAME, "PASSWORD", EMAIL, PHONE, FAX, WEBSITE, MAILINGCOUNTRY, ACTIVATIONSTATUS, BADGES,
       EXAMPLEWORK, EXPERIENCE, SPECIALTIES, CURRENTPOSITION, PICTURE, TIMEZONE, LANGUAGELOCALE, LOCALE,
       ORGANISATIONGUID, PRIMARYADMINISTRATORGUID, POINTS
FROM IDS_USER

--$ sql_dest_personal_user
UPDATE OR INSERT INTO IDS_USER (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, "ACTIVE",
                                NAME, SALUTATION, FIRSTNAME, LASTNAME, USERNAME, "PASSWORD", EMAIL, PHONE, FAX, WEBSITE,
                                MAILINGCOUNTRY, ACTIVATIONSTATUS, BADGES, EXAMPLEWORK, EXPERIENCE, SPECIALTIES,
                                CURRENTPOSITION, PICTURE, TIMEZONE, LANGUAGELOCALE, LOCALE, ORGANISATIONGUID,
                                PRIMARYADMINISTRATORGUID, POINTS)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :"ACTIVE", :NAME, :SALUTATION,
        :FIRSTNAME, :LASTNAME, :USERNAME, :"PASSWORD", :EMAIL, :PHONE, :FAX, :WEBSITE, :MAILINGCOUNTRY,
        :ACTIVATIONSTATUS, :BADGES, :EXAMPLEWORK, :EXPERIENCE, :SPECIALTIES, :CURRENTPOSITION, :PICTURE, :TIMEZONE,
        :LANGUAGELOCALE, :LOCALE, :ORGANISATIONGUID, :PRIMARYADMINISTRATORGUID, :POINTS)
MATCHING (GUID)

--$ sql_source_personal_group
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, "ACTIVE", NAME, ORGANISATIONGUID
FROM IDS_GROUP

--$ sql_dest_personal_group
UPDATE OR INSERT INTO IDS_GROUP (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, "ACTIVE", NAME, ORGANISATIONGUID)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :"ACTIVE", :NAME, :ORGANISATIONGUID)
MATCHING (GUID)

--$ sql_source_personal_membership
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, "ACTIVE", GROUPGUID, USERGUID, ORGANISATIONGUID, NAME
FROM IDS_GROUPMEMBERSHIP

--$ sql_dest_personal_membership
UPDATE OR INSERT INTO IDS_GROUPMEMBERSHIP (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, "ACTIVE", GROUPGUID, USERGUID, ORGANISATIONGUID, NAME)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :"ACTIVE", :GROUPGUID, :USERGUID, :ORGANISATIONGUID, :NAME)
MATCHING (GUID)

--$ sql_source_personal_org
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, "ACTIVE", NAME, PHONE, FAX, WEBSITE,
       DESCRIPTION, BILLINGSTREET, BILLINGCITY, BILLINGSTATE, BILLINGPOSTALCODE, BILLINGCOUNTRY, SHIPPINGSTREET,
       SHIPPINGCITY, SHIPPINGSTATE, SHIPPINGPOSTALCODE, SHIPPINGCOUNTRY, PICTURE, ISPUBLIC, ALLOWDISPLAYUSERS, POINTS,
       PRIMARYADMINISTRATORGUID
FROM IDS_ORGANISATION

--$ sql_dest_personal_org
UPDATE OR INSERT INTO IDS_ORGANISATION (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT,
                                        "ACTIVE", NAME, PHONE, FAX, WEBSITE, DESCRIPTION, BILLINGSTREET, BILLINGCITY,
                                        BILLINGSTATE, BILLINGPOSTALCODE, BILLINGCOUNTRY, SHIPPINGSTREET, SHIPPINGCITY,
                                        SHIPPINGSTATE, SHIPPINGPOSTALCODE, SHIPPINGCOUNTRY, PICTURE, ISPUBLIC,
                                        ALLOWDISPLAYUSERS, POINTS, PRIMARYADMINISTRATORGUID)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :"ACTIVE", :NAME, :PHONE, :FAX,
        :WEBSITE, :DESCRIPTION, :BILLINGSTREET, :BILLINGCITY, :BILLINGSTATE, :BILLINGPOSTALCODE, :BILLINGCOUNTRY,
        :SHIPPINGSTREET, :SHIPPINGCITY, :SHIPPINGSTATE, :SHIPPINGPOSTALCODE, :SHIPPINGCOUNTRY, :PICTURE, :ISPUBLIC,
        :ALLOWDISPLAYUSERS, :POINTS, :PRIMARYADMINISTRATORGUID)
MATCHING (GUID)

--$ sql_source_personal_lifecyclestatechange
SELECT GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, ITEMREVISIONGUID, LIFECYCLESTATETRANSITIONGUID, LIFECYCLESTATEAFTERGUID, NOTE FROM ALU_LIFECYCLESTATECHANGE

--$ sql_dest_personal_lifecyclestatechange
UPDATE OR INSERT INTO ALU_LIFECYCLESTATECHANGE (GUID, HRID, CREATEDBYGUID, LASTMODIFIEDBYGUID, CREATEDAT, LASTMODIFIEDAT, ITEMREVISIONGUID, LIFECYCLESTATETRANSITIONGUID, LIFECYCLESTATEAFTERGUID, NOTE)
VALUES (:GUID, :HRID, :CREATEDBYGUID, :LASTMODIFIEDBYGUID, :CREATEDAT, :LASTMODIFIEDAT, :ITEMREVISIONGUID, :LIFECYCLESTATETRANSITIONGUID, :LIFECYCLESTATEAFTERGUID, :NOTE)

--$ sql_check_new_version_table_exists
SELECT R.RDB$RELATION_NAME FROM RDB$RELATIONS R WHERE R.RDB$RELATION_NAME = 'TBL_VERSION2';

--$ sql_select_versions
SELECT LIST(T.PRODUCT || '=' || T.PRODUCT_VERSION) FROM TBL_VERSION2 T